## lilypond-0.1.39.tar.gz

=== bin/Makefile ===
# bin/Makefile

depth = ..
include $(depth)/make/Include.make

# list of distribution files:
PERL_SCRIPTS_IN = $(wildcard *.pl)
PERL_SCRIPTS = $(addprefix $(outdir)/, $(PERL_SCRIPTS_IN:.pl=))
SH_SCRIPTS_IN = $(wildcard *.sh)
SH_SCRIPTS = $(addprefix $(outdir)/, $(SH_SCRIPTS_IN:.sh=))
PYTHON_SCRIPTS_IN = $(wildcard *.py)
PYTHON_SCRIPTS = $(addprefix $(outdir)/, $(PYTHON_SCRIPTS_IN:.py=))
EXTRA_DISTFILES = $(SH_SCRIPTS_IN) $(PERL_SCRIPTS_IN) $(PYTHON_SCRIPTS_IN) 


all: $(PERL_SCRIPTS) $(PYTHON_SCRIPTS) $(SH_SCRIPTS)

$(outdir)/%: %.pl
	sed 's!@PERL@!$(PERL)!' < $< > $@
	chmod 755 $@

#FIXME.  Check for bash?
$(outdir)/%: %.sh
	sed 's!@SH@!$(SHELL)!' < $< > $@
	chmod 755 $@

$(outdir)/%: %.py
	sed 's!@PYTHON@!$(PYTHON)!' < $< > $@
	chmod 755 $@

EXECUTABLES=convert-mudela mudela-book

localinstall: all
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 $(outdir)/convert-mudela $(bindir)
	$(INSTALL) -m 755 $(outdir)/mudela-book $(bindir)

localuninstall:
	rm -f $(bindir)/convert-mudela $(bindir)/mudela-book

=== debian/Makefile ===
depth = ..

NAME= debian

# generic variables:
#
include ./$(depth)/make/Variables.make
include ./$(depth)/make/Files.make 
#

# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make
#


EXTRA_DISTFILES = README.Debian TODO changelog control copyright \
	info.ex menu.ex postinst postinst.old.sh postrm preinst rules watch

=== flower/Makefile ===
#
# project  FlowerSoft C++ library
# title	   top level makefile for FlowerLib
# file	   flower/Makefile
#
# Copyright (c) 1997 by    
#   	Jan Nieuwenhuizen <jan@digicash.com>
#	Han-Wen Nienhuys <hanwen@stack.nl>
#		...your sort order here, or how to comment-out a comment

# subdir level:
#
depth = ..
#

# identify module:
#
NAME = flower
MODULE_NAME = flower
#
# edit VERSION only
include ./$(depth)/VERSION
include ./$(depth)/flower/VERSION

# generic variables:
#
include ./$(depth)/make/Variables.make
include ./$(depth)/make/Files.make 

include $(flowerout)/Flower-flags.make


#
# descent order into subdirectories:
#
SUBDIRS = include test 
#

# list of distribution files:
#
SCRIPTS = 
README_FILES = ONEWS NEWS README TODO
EXTRA_DISTFILES= aclocal.m4 configure config.hh.in configure.in VERSION $(README_FILES) $(SCRIPTS) Flower-flags.make.in
#


# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make
#

default: the-lib

THE_LIB=$(outdir)/$(LIB_PREFIX)flower$(LIB_SUFFIX)
the-lib: $(THE_LIB) 

# version:
#

localdist: configure

-include /dev/null $(DEPFILES)
#

localdistclean:
	rm -f config.cache config.status

localinstall: $(LIBFLOWER)
ifeq ($(LIB_SUFFIX),.so)
	$(INSTALL) -d $(libdir)
	$(INSTALL) $(LIBFLOWER) $(libdir)
endif

localuninstall:
	rm -f $(libdir)/libflower.{so,a}


$(outdir)/flower-version.o: $(outdir)/version.hh

=== input/Makefile ===
# input/Makefile

# subdir level:
#
depth = ..
#

build = ./$(depth)/lily/$(outdir)/.build

# generic stuff/Makefile
#
include ./$(depth)/make/Include.make
#

# list of distribution files:
# 
LYFILES = $(wildcard *.ly)
TEXFILES = $(wildcard *.tex)
DISTFILES = Makefile $(LYFILES) $(TEXFILES) $(wildcard *.m4)
#

=== lib/Makefile ===
#
# project  LilyPond -- the musical typesetter
# title	   makefile for micro-lily-lib
# file	   lib/Makefile 
#
# Copyright (c) 1997 by
#   	Jan Nieuwenhuizen <jan@digicash.com>
#	Han-Wen Nienhuys <hanwen@stack.nl>
#

# subdir level:
#
depth = ..
#

# generic variables:
#
include ./$(depth)/make/Variables.make 
include ./$(depth)/make/Files.make
include ./$(depth)/make/Version.make 
#

# identify module:
#
NAME = lily
#

# descent order into subdirectories:
#
SUBDIRS = include
#

# to be remade each build:
#
VERSION_DEPENDENCY =#
#

# list of distribution files:
#
EXTRA_DISTFILES = config.hh.in
#

# list of custom libraries:

LOADLIBES +=
#

# main target of this module:
# 
# MAINTARGET = $(EXECUTABLE)
# MAINTARGET = $(LIBRARY)
# MAINTARGET = $(bindir)/$(EXECUTABLE)# huh?
MAINTARGET = $(outdir)/$(LIBRARY)# huh?

default: configheader $(MAINTARGET)
#

localclean:
	rm -f $(MAINTARGET)

# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make

# auto dependencies:
#
-include $(DEPFILES)
#

.PHONY: configheader

configheader: $(outdir)/config.hh

# Ugh ugh
$(outdir)/config.hh: config.hh.in
	sed 's!@datadir@!$(datadir)!'<  $< > $@

=== make/Makefile ===
#
# project  LilyPond -- the musical typesetter
# title	   zucht
# file	   make/Makefile 
#
# Copyright (c) 1997 by    
#   	Jan Nieuwenhuizen <jan@digicash.com>
#	Han-Wen Nienhuys <hanwen@stack.nl>
#		...your sort order here, or how to comment-out a comment

# subdir level:
#
depth = ..
#

# identify module:
#
NAME = make
SUBDIRS = 

# list of distribution files:

# two outdir files are distributed, since they make sense to have without running 
# configure and make.
IN_FILES = $(wildcard *.in)
EXTRA_DISTFILES = $(IN_FILES) $(outdir)/lilypond.spec $(outdir)/lilypond.lsm $(outdir)/lelievijver.lsm
#

# generic variables:
#
include ./$(depth)/make/Variables.make
include ./$(depth)/make/Files.make 
#

# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make
#

spec: $(outdir)/lilypond.spec

rpmdocs=$(addprefix Documentation/out/, $(notdir $(shell ls $(depth)/Documentation/$(outdir)/*.text)))\
	BUGS TODO NEWS DEDICATION ANNOUNCE README
rpmmudocs=$(addprefix Documentation/, $(notdir $(shell ls $(depth)/Documentation/*.doc)))
rpmdvis=$(rpmmudocs:.doc=.dvi)
rpmexamples= $(addprefix input/, $(notdir $(shell ls $(depth)/input/*.{ly,tex})))


date = $(shell date '+%d%b%y'|tr a-z A-Z)
sed-version= sed 's!@TOPLEVEL_VERSION@!${TOPLEVEL_VERSION}!g'
sed-date=sed 's!@DATE@!${date}!g'
sed-examples = sed 's!@EXAMPLE_LYS@!${rpmexamples} ${rpmmudocs}!g'
sed-docs=sed 's!@TEXT_DOCS@!${rpmdocs}!g'

$(outdir)/lilypond.spec: lilypond.spec.in $(depth)/VERSION
	cat $< | $(sed-version) | $(sed-docs) | $(sed-examples) > $@

$(outdir)/%.lsm: %.lsm.in $(depth)/VERSION
	cat $< | $(sed-version) | $(sed-date) > $@

=== tex/Makefile ===
# tex/Makefile

# subdir level:
#
depth = ..
#
#
include ./$(depth)/make/Include.make
#

# list of distribution files:
# 
TEXFILES = $(wildcard *.tex)
DISTFILES = Makefile $(TEXFILES)
#

localinstall:
	$(INSTALL) -d $(TEXDIR)/lilypond
	$(INSTALL) -m 644 $(TEXFILES) $(TEXDIR)/lilypond/

localuninstall:
	for i in $(TEXFILES) ; do rm -f $(TEXDIR)/lilypond/$$i; done
	-rmdir $(TEXDIR)/lilypond/

=== debian/changelog ===
lilypond (0.1.35-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Fri,  5 Dec 1997 21:06:31 -0700

lilypond (0.1.34-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Thu,  4 Dec 1997 19:42:22 -0700

lilypond (0.1.33-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer e-mail address to <foka@debian.org>.  :)

 -- Anthony Fok <foka@debian.org>  Tue, 25 Nov 1997 00:22:57 -0700

lilypond (0.1.32-2) unstable; urgency=low

  * Commented out run_texhash() in postinst by mistake.  Fixed.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 03:04:29 -0700

lilypond (0.1.32-1) unstable; urgency=low

  * New upstream release
  * Applied a small fix to postinst.  The font-entries-search-and-replace
    add_fonts() subroutine was slightly buggy.
  * Unpatched ./configure.  It turned out that I spelt "--enable-optimise"
    as "--enable-optimize" in debian/rules by mistake.  Oops!  :)  Thanks
    to the upstream author for pointing this out!  :)
  * The upstream authors has included the ./debian/* files in the pristine
    source archive!  They also fixed some minor errors in README.debian
    and copyright.  Thanks a lot!  :)
  * Removed the line "dh_clean" from "binary-arch:" and switched the order
    of dh_clean in "clean:" in debian/rules.  dh_clean was deleting
    the zero-byte file ./make/out/Site.make, causing the build to fail.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 01:39:31 -0700

lilypond (0.1.29-1) unstable; urgency=low

  * New upstream release
  * Patched ./configure in source package to make c++ use the -O2 -g options
    on all the files.  Now, /usr/bin/lilypond is a lot leaner!  <smile>
    (I will discuss it with the upstream author.)
  * Adapted postinst (a Perl script) from the musixtex package for lilypond.
    Now postinst adds the new LilyPond font entries into
    /usr/lib/texmf/fontname/special.map.
  * Added preinst to clean up my mess from previous releases: the old
    "stray" automatically generated TFM and PK font files were placed in
    the wrong directories because they were not listed in
    /usr/lib/texmf/fontname/special.map.
  * Did some minor clean-up in debian/rules and switched to debhelper.
  * Updated Standards-Version to 2.3.0.1

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 11 Nov 1997 02:31:33 -0700

lilypond (0.1.25-1) unstable; urgency=low

  * Added a note in README.debian about the possibility of some LilyPond
    fonts not showing up after an upgrade, and a possible solution to this
    problem.
  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 23 Oct 1997 17:00:14 -0600

lilypond (0.1.24-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 21 Oct 1997 04:12:01 -0600

lilypond (0.1.23-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 16 Oct 1997 02:15:55 -0600

lilypond (0.1.22-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 13 Oct 1997 23:51:01 -0600

lilypond (0.1.21-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  9 Oct 1997 22:58:26 -0600

lilypond (0.1.18.jcn1-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  4 Oct 1997 03:48:45 -0600

lilypond (0.1.17-1) unstable; urgency=low

  * New upstream release
  * Remove redundancy in package's description (Fixed bug #12511)
  * Added a note about the new LilyPond MF fonts which are not yet listed
    in the current standard special.map (in the teTeX package)
  * Added SHELL=/bin/bash to debian/rules because I use bashism. <smile>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 28 Sep 1997 01:41:15 -0600

lilypond (0.1.12-1) unstable; urgency=low

  * New upstream release
  * Updated the mailing address of the Free Software Foundation
    listed in /usr/doc/lilypond/copyright
  * Updated Standards-Version to 2.3.0.0
  * Built with debmake 3.3.14 and fakeroot 0.0-9 <grin>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun,  7 Sep 1997 23:00:53 -0600

lilypond (0.1.9-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 18 Aug 1997 15:14:24 -0600

lilypond (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 15:18:40 -0600

lilypond (0.1.6-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 05:14:06 -0600

lilypond (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  9 Aug 1997 14:15:11 -0600

lilypond (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  7 Aug 1997 22:54:20 -0600

lilypond (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Wed,  6 Aug 1997 04:40:57 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "foka@debian.org"
End:

=== debian/control ===
Source: lilypond
Section: contrib/tex
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 2.3.0.1

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-base, musixtex | musixtex-fonts
Description: A music typesetting program.
 GNU LilyPond is a program which converts a music-script (mudela) into TeX
 output, or MIDI to produce multi-staff scores. Features include multiple
 meters, clefs, keys, lyrics, versatile input-language, cadenzas beams,
 slurs, triplets, multiple voices.
 .
 Note: LilyPond uses the fonts from MusiXTeX.  Please install the package
       musixtex or musixtex-fonts when you install lilypond.
 .
  URL: http://www.stack.nl/~hanwen/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@stack.nl>
           Jan Nieuwenhuizen <jan@digicash.com>
